Class | YARD::I18n::Messages
In: | lib/yard/i18n/messages.rb
Parent: | Object

Acts as a container for {Message} objects.

@since 0.8.1

### Methods

== [] each new register

### Included Modules

Enumerable

### Attributes

messages | [R] | @return [Hash{String=>Message}] the set of message objects

### Public Class methods

new()

Creates a new container.

### Public Instance methods

==(other)

Checks if this messages list is equal to another messages list.

@param [Messages] other the container to compare. @return [Boolean] whether `self` and `other` is equivalence or not.

[](id)

@param [String] id the message ID to perform a lookup on. @return [Message, nil] a registered message for the given `id`,

      or nil if no message for the ID is found.

each(&block)

Enumerates each {Message} in the container.

@yieldparam [Message] message the next message object in

      the enumeration.

@return [void]

register(id)

Registers a {Message}, the mssage ID of which is `id`. If corresponding `Message` is already registered, the previously registered object is returned.

@param [String] id the ID of the message to be registered. @return [Message] the registered `Message`.

[Validate]